Get List of Receipts

Use this API to retrieve a list of all receipts. Depending on the query or header parameter values passed in the request, the response will return specific details about receipts, including relevant information about collection point interactions, purposes, and the associated purpose preferences and attributes.

🗒

Things to Know

  • The timespan between the fromDate and toDate values must be 24 hours or less.
  • By default, this API retrieves receipts created within the last 90 days. To retrieve receipts stored for more than 90 days, the includeArchived parameter must be used.
  • When retrieving historic receipts, set includeArchived=true and provide either the receiptId in the request parameters or the identifier in the request headers. Optional parameters such as includeDataElements, includeConsentStrings, sort, page, and nextMarker can also be used.
  • If includeArchived=true is set and additional parameters such as fromDate or toDate` are included, this API will instead search only receipts stored within the last 90 days.
  • If the number of records exceeds a single page:
    • The response returns a requestContinuation value, which must be included in the next request body to continue pagination.
    • When retrieving archived receipts, nextMarker must also be included in subsequent request bodies to paginate through results.
  • Purpose descriptions in the API response are returned inside <p> and </p> HTML tags. These tags can be sanitized based on your formatting needs.
Query Params
uuid

UUID of the Collection Point.

uuid

UUID of the receipt.

uuid

UUID of the Purpose. purposeGuid can be obtained using the Get A Paged List Of Purposes endpoint.

uuid

UUID of the Organization. organizationId can be obtained using the Retrieve Organization Structure endpoint.

date-time

Date from which to return records. Formats accepted are yyyy-MM-dd or yyyy-MM-ddTHH:mm:ss.

date-time

To date to return records. Formats accepted are yyyy-MM-dd or yyyy-MM-ddTHH:mm:ss.

boolean
Defaults to false

When set to true will include data subject data elements on the receipt payload.

boolean
Defaults to false

This parameter will fetch up to 1000 historical receipts per API call that are not yet stored in the Azure Cosmos DB or those that have reached their time-to-live (TTL) expiration of 90 days.

boolean
deprecated

The isAnonymous parameter will be ignored. Anonymous receipts can only be returned by using the identifier or receiptId parameter.

boolean
Defaults to false

This parameter will return consent strings stored in receipts. Note that it must be used in conjunction with an identifier or receiptId filter.

int32
≥ 0
Defaults to 0

Results page to be retrieved (0..N).

int32
1 to 50
Defaults to 20

Number of records per page (1..50).

string
enum
Defaults to consentCreationDate,desc

Sorting criteria in the format: property,direction (where direction is asc or desc). Supported properties: consentCreationDate, interactionDate, id.

Allowed:
Body Params
string

Request continuation token used to paginate. If the number of records in the response is more than a page, it returns a requestContinuation token in the response. This requestContinuation token should be passed to the next request's body to paginate.

string

Request continuation token used to paginate over historical receipts

Headers
string

Data Subject Identifier filter. identifier can be obtained using the Get list of datasubjects endpoint.

string

Filter receipts by data element name. Note that this request header must be used in conjunction with dataElementValue.

string

Filter receipts by data element value. Note that this request header must be used in conjunction with dataElementName.

Responses

400

Bad Request

500

Internal Server Error

Language
Credentials
OAuth2
Missing 1 required scope
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*